# enums cant start by a number, reason of W1099
enum WorkforceEmploymentType {
  W2
  W1099
  TEMPORARY
  CONTRACT
}

enum WorkforceStatus {
  ACTIVE
  INACTIVE
}

type Workforce @table( name: "workforce") {
  id: UUID! @default(expr: "uuidV4()")

  vendorId: UUID!
  vendor: Vendor! @ref(fields: "vendorId", references: "id")

  staffId: UUID!
  staff: Staff! @ref(fields: "staffId", references: "id")

  workforceNumber: String!   
  employmentType: WorkforceEmploymentType
  status: WorkforceStatus @default(expr: "'ACTIVE'")

  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String @default(expr: "auth.uid")
}